Fedora-Fr - Communauté francophone Fedora - Linux

Communauté francophone des utilisateurs de la distribution Linux Fedora.

  

Dernière news : Fin de maintenance pour Fedora 32

#1 19/05/2014 07:29:11

malebolgia
Membre
Inscription : 18/10/2004
Messages : 416

yum pb d'update de vlc.x86_64 et live.x86_64

Bonjour

Je n'arrive pas a faire la maj de VLC avec Yum


vlc.x86_64                                                                    2.1.4-14.fc20                                            atrpm
0 packages excluded due to repository protections
Résolution des dépendances
Skipping filters plugin, no data
--> Lancement de la transaction de test
---> Le paquet vlc.x86_64 0:2.1.4-1.fc20 sera mis à jour
---> Le paquet vlc.x86_64 0:2.1.4-14.fc20 sera utilisé
--> Traitement de la dépendance : libUsageEnvironment.so.0()(64bit) pour le paquet : vlc-2.1.4-14.fc20.x86_64
--> Traitement de la dépendance : libgroupsock.so.0()(64bit) pour le paquet : vlc-2.1.4-14.fc20.x86_64
--> Traitement de la dépendance : libliveMedia.so.0()(64bit) pour le paquet : vlc-2.1.4-14.fc20.x86_64
--> Lancement de la transaction de test
---> Le paquet live.x86_64 0:2012.02.04-1.fc20 sera installé
--> Résolution des dépendances terminée

Dépendances résolues

==================================================================================================================================================================
 Package                           Architecture                        Version                                          Dépôt                               Taille
==================================================================================================================================================================
Mise à jour :
 vlc                               x86_64                              2.1.4-14.fc20                                    atrpms                              9.8 M
Installation pour dépendances :
 live                              x86_64                              2012.02.04-1.fc20                                atrpms                              292 k

Résumé de la transaction
==================================================================================================================================================================
Installation            ( 1 Paquet en dépendance)
Mettre à jour  1 Paquet

Taille totale  : 10 M
Is this ok [y/d/N]: y
Downloading packages:
Running transaction check
Running transaction test


Transaction check error:
  le fichier /usr/lib64/libBasicUsageEnvironment.so.0 de l'installation de live-2012.02.04-1.fc20.x86_64 entre en conflit avec le fichier du paquet live555-2013.11.26-1.fc20.x86_64
  le fichier /usr/lib64/vlc/plugins/access/libaccess_jack_plugin.so de l'installation de vlc-2.1.4-14.fc20.x86_64 entre en conflit avec le fichier du paquet vlc-plugin-jack-2.1.4-1.fc20.x86_64
  le fichier /usr/lib64/vlc/plugins/audio_output/libjack_plugin.so de l'installation de vlc-2.1.4-14.fc20.x86_64 entre en conflit avec le fichier du paquet vlc-plugin-jack-2.1.4-1.fc20.x86_64
  le fichier /usr/lib64/vlc/plugins/codec/libfluidsynth_plugin.so de l'installation de vlc-2.1.4-14.fc20.x86_64 entre en conflit avec le fichier du paquet vlc-plugin-jack-2.1.4-1.fc20.x86_64
  le fichier /usr/bin/vlc de l'installation de vlc-2.1.4-14.fc20.x86_64 entre en conflit avec le fichier du paquet vlc-core-2.1.4-1.fc20.x86_64
  le fichier /usr/bin/vlc-wrapper de l'installation de vlc-2.1.4-14.fc20.x86_64 entre en conflit avec le fichier du paquet vlc-core-2.1.4-1.fc20.x86_64
  le fichier /usr/lib64/libvlc.so.5.4.0 de l'installation de vlc-2.1.4-14.fc20.x86_64 entre en conflit avec le fichier du paquet vlc-core-2.1.4-1.fc20.x86_64
  le fichier /usr/lib64/libvlccore.so.7.0.0 de l'installation de vlc-2.1.4-14.fc20.x86_64 entre en conflit avec le fichier du paquet vlc-core-2.1.4-1.fc20.x86_64
  le fichier /usr/lib64/vlc/plugins/access/libaccess_alsa_plugin.so de l'installation de vlc-2.1.4-14.fc20.x86_64 entre en conflit avec le fichier du paquet vlc-core-2.1.4-1.fc20.x86_64
  le fichier /usr/lib64/vlc/plugins/access/libaccess_attachment_plugin.so de l'installation de vlc-2.1.4-14.fc20.x86_64 entre en conflit avec le fichier du paquet vlc-core-2.1.4-1.fc20.x86_64
  le fichier /usr/lib64/vlc/plugins/access/libaccess_avio_plugin.so de l'installation de vlc-2.1.4-14.fc20.x86_64 entre en conflit avec le fichier du paquet vlc-core-2.1.4-1.fc20.x86_64

j'ai donc fait le menage

rpm -e vlc-core-2.1.4-1.fc20.x86_64 live555-2013.11.26-1.fc20.x86_64  vlc-plugin-jack-2.1.4-1.fc20.x86_64 vlc-extras-2.1.4-1.fc20.x86_64 python-vlc-1.1.0-6.20120503git.fc19.noarch  vlc-2.1.4-1.fc20.x86_64 phonon-backend-vlc-0.7.1-1.fc20.x86_64 phonon-qt5-backend-vlc-0.7.1-1.fc20.x86_64 vlc-2.1.4-1.fc20.x86_64 npapi-vlc-2.0.6-1.fc20.x86_64 npapi-vlc-gtk-2.0.6-1.fc20.x86_64

j'ai essayé de reinstaller avec yum en n'utilisant pas le repo ATRPMS

yum install -y --nogpgcheck --disablerepo=atrpms vlc-plugin-jack vlc-extras python-vlc phonon-backend-vlc phonon-qt5-backend-vlc npapi-vlc npapi-vlc-gtk
0 packages excluded due to repository protections
Résolution des dépendances
Skipping filters plugin, no data
--> Lancement de la transaction de test
---> Le paquet npapi-vlc.x86_64 0:2.0.6-1.fc20 sera installé
--> Traitement de la dépendance : libvlc.so.5()(64bit) pour le paquet : npapi-vlc-2.0.6-1.fc20.x86_64
---> Le paquet npapi-vlc-gtk.x86_64 0:2.0.6-1.fc20 sera installé
---> Le paquet phonon-backend-vlc.x86_64 0:0.7.1-1.fc20 sera installé
---> Le paquet phonon-qt5-backend-vlc.x86_64 0:0.7.1-1.fc20 sera installé
---> Le paquet python-vlc.noarch 0:1.1.0-6.20120503git.fc19 sera installé
--> Traitement de la dépendance : vlc-core >= 1.1.0 pour le paquet : python-vlc-1.1.0-6.20120503git.fc19.noarch
---> Le paquet vlc-extras.x86_64 0:2.1.4-1.fc20 sera installé
---> Le paquet vlc-plugin-jack.x86_64 0:2.1.4-1.fc20 sera installé
--> Lancement de la transaction de test
---> Le paquet vlc.x86_64 0:2.1.4-14.fc20 sera installé
--> Traitement de la dépendance : libliveMedia.so.0()(64bit) pour le paquet : vlc-2.1.4-14.fc20.x86_64
--> Traitement de la dépendance : libgroupsock.so.0()(64bit) pour le paquet : vlc-2.1.4-14.fc20.x86_64
--> Traitement de la dépendance : libUsageEnvironment.so.0()(64bit) pour le paquet : vlc-2.1.4-14.fc20.x86_64
--> Traitement de la dépendance : libBasicUsageEnvironment.so.0()(64bit) pour le paquet : vlc-2.1.4-14.fc20.x86_64
---> Le paquet vlc-core.x86_64 0:2.1.4-1.fc20 sera installé
--> Traitement de la dépendance : live555(x86-64) = 2013.11.26 pour le paquet : vlc-core-2.1.4-1.fc20.x86_64
--> Traitement de la dépendance : libliveMedia.so.17()(64bit) pour le paquet : vlc-core-2.1.4-1.fc20.x86_64
--> Traitement de la dépendance : libgroupsock.so.1()(64bit) pour le paquet : vlc-core-2.1.4-1.fc20.x86_64
--> Traitement de la dépendance : libUsageEnvironment.so.1()(64bit) pour le paquet : vlc-core-2.1.4-1.fc20.x86_64
--> Lancement de la transaction de test
---> Le paquet live.x86_64 0:2012.02.04-1.fc20 sera installé
---> Le paquet live555.x86_64 0:2013.11.26-1.fc20 sera installé
--> Résolution des dépendances terminée

Dépendances résolues

=========================================================================================================================================================================
 Package                                         Architecture                    Version                                           Dépôt                           Taille
=========================================================================================================================================================================
Installation :
 npapi-vlc                                       x86_64                          2.0.6-1.fc20                                      _local                           44 k
 npapi-vlc-gtk                                   x86_64                          2.0.6-1.fc20                                      _local                           49 k
 phonon-backend-vlc                              x86_64                          0.7.1-1.fc20                                      _local                          110 k
 phonon-qt5-backend-vlc                          x86_64                          0.7.1-1.fc20                                      _local                          118 k
 python-vlc                                      noarch                          1.1.0-6.20120503git.fc19                          _local                           45 k
 vlc-extras                                      x86_64                          2.1.4-1.fc20                                      _local                           49 k
 vlc-plugin-jack                                 x86_64                          2.1.4-1.fc20                                      _local                           51 k
Installation pour dépendances :
 live                                            x86_64                          2012.02.04-1.fc20                                 _local                          292 k
 live555                                         x86_64                          2013.11.26-1.fc20                                 _local                          321 k
 vlc                                             x86_64                          2.1.4-14.fc20                                     _local                          9.8 M
 vlc-core                                        x86_64                          2.1.4-1.fc20                                      _local                          8.3 M

Résumé de la transaction
=========================================================================================================================================================================
Installation   7 Paquets (+4 Paquets en dépendance)

Taille totale des téléchargements : 19 M
Taille d'installation : 84 M
Downloading packages:
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                     46 MB/s |  19 MB  00:00:00     
Running transaction check
Running transaction test


Transaction check error:
  le fichier /usr/lib64/libBasicUsageEnvironment.so.0 entre en conflit avec les tentatives d'installation de live555-2013.11.26-1.fc20.x86_64 et live-2012.02.04-1.fc20.x86_64
  le fichier /usr/bin/vlc entre en conflit avec les tentatives d'installation de vlc-core-2.1.4-1.fc20.x86_64 et vlc-2.1.4-14.fc20.x86_64
  le fichier /usr/bin/vlc-wrapper entre en conflit avec les tentatives d'installation de vlc-core-2.1.4-1.fc20.x86_64 et vlc-2.1.4-14.fc20.x86_64
  le fichier /usr/lib64/libvlc.so.5.4.0 entre en conflit avec les tentatives d'installation de vlc-core-2.1.4-1.fc20.x86_64 et vlc-2.1.4-14.fc20.x86_64
  le fichier /usr/lib64/libvlccore.so.7.0.0 entre en conflit avec les tentatives d'installation de vlc-core-2.1.4-1.fc20.x86_64 et vlc-2.1.4-14.fc20.x86_64
  le fichier /usr/lib64/vlc/plugins/access/libaccess_alsa_plugin.so entre en conflit avec les tentatives d'installation de vlc-core-2.1.4-1.fc20.x86_64 et vlc-2.1.4-14.fc20.x86_64
  le fichier /usr/lib64/vlc/plugins/access/libaccess_attachment_plugin.so entre en conflit avec les tentatives d'installation de vlc-core-2.1.4-1.fc20.x86_64 et vlc-2.1.4-14.fc20.x86_64
  le fichier /usr/lib64/vlc/plugins/access/libaccess_avio_plugin.so entre en conflit avec les tentatives d'installation de vlc-core-2.1.4-1.fc20.x86_64 et vlc-2.1.4-14.fc20.x86_64
  le fichier /usr/lib64/vlc/plugins/access/libaccess_bd_plugin.so entre en conflit avec les tentatives d'installation de vlc-core-2.1.4-1.fc20.x86_64 et vlc-2.1.4-14.fc20.x86_64
  le fichier /usr/lib64/vlc/plugins/access/libaccess_ftp_plugin.so entre en conflit avec les tentatives d'installation de vlc-core-2.1.4-1.fc20.x86_64 et vlc-2.1.4-14.fc20.x86_64
  le fichier /usr/lib64/vlc/plugins/access/libaccess_http_plugin.so entre en conflit avec les tentatives d'installation de vlc-core-2.1.4-1.fc20.x86_64 et vlc-2.1.4-14.fc20.x86_64
  le fichier /usr/lib64/vlc/plugins/access/libaccess_imem_plugin.so entre en conflit avec les tentatives d'installation de vlc-core-2.1.4-1.fc20.x86_64 et vlc-2.1.4-14.fc20.x86_64
  le fichier /usr/lib64/vlc/plugins/access/libaccess_mms_plugin.so entre en conflit avec les tentatives d'installation de vlc-core-2.1.4-1.fc20.x86_64 et vlc-2.1.4-14.fc20.x86_64
  le fichier /usr/lib64/vlc/plugins/access/libaccess_mtp_plugin.so entre en conflit avec les tentatives d'installation de vlc-core-2.1.4-1.fc20.x86_64 et vlc-2.1.4-14.fc20.x86_64
  le fichier /usr/lib64/vlc/plugins/access/libaccess_rar_plugin.so entre en conflit avec les tentatives d'installation de vlc-core-2.1.4-1.fc20.x86_64 et vlc-2.1.4-14.fc20.x86_64
  le fichier /usr/lib64/vlc/plugins/access/libaccess_realrtsp_plugin.so entre en conflit avec les tentatives d'installation de vlc-core-2.1.4-1.fc20.x86_64 et vlc-2.1.4-14.fc20.x86_64
  le fichier /usr/lib64/vlc/plugins/access/libaccess_sftp_plugin.so entre en conflit avec les tentatives d'installation de vlc-core-2.1.4-1.fc20.x86_64 et vlc-2.1.4-14.fc20.x86_64
  le fichier /usr/lib64/vlc/plugins/access/libaccess_smb_plugin.so entre en conflit avec les tentatives d'installation de vlc-core-2.1.4-1.fc20.x86_64 et vlc-2.1.4-14.fc20.x86_64
  le fichier /usr/lib64/vlc/plugins/access/libaccess_tcp_plugin.so entre en conflit avec les tentatives d'installation de vlc-core-2.1.4-1.fc20.x86_64 et vlc-2.1.4-14.fc20.x86_64
  le fichier /usr/lib64/vlc/plugins/access/libaccess_udp_plugin.so entre en conflit avec les tentatives d'installation de vlc-core-2.1.4-1.fc20.x86_64 et vlc-2.1.4-14.fc20.x86_64
  le fichier /usr/lib64/vlc/plugins/access/libaccess_vdr_plugin.so entre en conflit avec les tentatives d'installation de vlc-core-2.1.4-1.fc20.x86_64 et vlc-2.1.4-14.fc20.x86_64
  le fichier /usr/lib64/vlc/plugins/access/libcdda_plugin.so entre en conflit avec les tentatives d'installation de vlc-core-2.1.4-1.fc20.x86_64 et vlc-2.1.4-14.fc20.x86_64
  le fichier /usr/lib64/vlc/plugins/access/libdc1394_plugin.so entre en conflit avec les tentatives d'installation de vlc-core-2.1.4-1.fc20.x86_64 et vlc-2.1.4-14.fc20.x86_64
  le fichier /usr/lib64/vlc/plugins/access/libdtv_plugin.so entre en conflit avec les tentatives d'installation de vlc-core-2.1.4-1.fc20.x86_64 et vlc-2.1.4-14.fc20.x86_64
  le fichier /usr/lib64/vlc/plugins/access/libdv1394_plugin.so entre en conflit avec les tentatives d'installation de vlc-core-2.1.4-1.fc20.x86_64 et vlc-2.1.4-14.fc20.x86_64
  le fichier /usr/lib64/vlc/plugins/access/libdvb_plugin.so entre en conflit avec les tentatives d'installation de vlc-core-2.1.4-1.fc20.x86_64 et vlc-2.1.4-14.fc20.x86_64
  le fichier /usr/lib64/vlc/plugins/access/libdvdnav_plugin.so entre en conflit avec les tentatives d'installation de vlc-core-2.1.4-1.fc20.x86_64 et vlc-2.1.4-14.fc20.x86_64
  le fichier /usr/lib64/vlc/plugins/access/libdvdread_plugin.so entre en conflit avec les tentatives d'installation de vlc-core-2.1.4-1.fc20.x86_64 et vlc-2.1.4-14.fc20.x86_64
  le fichier /usr/lib64/vlc/plugins/access/libfilesystem_plugin.so entre en conflit avec les tentatives d'installation de vlc-core-2.1.4-1.fc20.x86_64 et vlc-2.1.4-14.fc20.x86_64
  le fichier /usr/lib64/vlc/plugins/access/libidummy_plugin.so entre en conflit avec les tentatives d'installation de vlc-core-2.1.4-1.fc20.x86_64 et vlc-2.1.4-14.fc20.x86_64
  le fichier /usr/lib64/vlc/plugins/access/liblibbluray_plugin.so entre en conflit avec les tentatives d'installation de vlc-core-2.1.4-1.fc20.x86_64 et vlc-2.1.4-14.fc20.x86_64
  le fichier /usr/lib64/vlc/plugins/access/liblinsys_hdsdi_plugin.so entre en conflit avec les tentatives d'installation de vlc-core-2.1.4-1.fc20.x86_64 et vlc-2.1.4-14.fc20.x86_64
  le fichier /usr/lib64/vlc/plugins/access/liblinsys_sdi_plugin.so entre en conflit avec les tentatives d'installation de vlc-core-2.1.4-1.fc20.x86_64 et vlc-2.1.4-14.fc20.x86_64
  le fichier /usr/lib64/vlc/plugins/access/liblive555_plugin.so entre en conflit avec les tentatives d'installation de vlc-core-2.1.4-1.fc20.x86_64 et vlc-2.1.4-14.fc20.x86_64

Dernière modification par malebolgia (19/05/2014 10:34:30)


Malebolgia

Hors ligne

#2 19/05/2014 08:29:00

nouvo09
Accro à Fedo !
Lieu : Paris
Inscription : 22/09/2005
Messages : 23 199

Re : yum pb d'update de vlc.x86_64 et live.x86_64

Tu n'aurais pas fait un mélange de dépôts ? (je vois atrpms)


C'est pas parce que c'est difficile qu'on n'ose pas,
c'est parce qu'on ose pas que c'est difficile !

Pied de page des forums